org.eclipse.emf.spi.cdo

## Class DefaultCDOMerger.Conflict

- java.lang.Object
- - org.eclipse.emf.spi.cdo.DefaultCDOMerger.Conflict

- Direct Known Subclasses:
    DefaultCDOMerger.ChangedInSourceAndDetachedInTargetConflict, DefaultCDOMerger.ChangedInSourceAndTargetConflict, DefaultCDOMerger.ChangedInTargetAndDetachedInSourceConflict
  Enclosing class:
    DefaultCDOMerger

      public abstract static class DefaultCDOMerger.Conflict
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conflict()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract CDOID` | `getID()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Conflict

          public Conflict()

  - ### Method Detail

    - #### getID

          public abstract CDOID getID()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html